/* Exemplet visar skillnad på querySelector() och querySelectorAll().
   Det visas också användning av this, för att få en referens till det
   element användaren klickat på.
   Attribut kan man komma åt med punktnotation eller getAttribute() samt setAttribute().
   Användning av parentElement, previousElementSibling och nextElementSibling visas också. */
// --------------------------------------------------
// Globala variabler
let msgElem;    // Element för meddelande
// --------------------------------------------------
// Initiering då webbsidan laddats in
function init() {
	let firstAnimalElem = document.querySelector("#boxes img");
	console.log(firstAnimalElem);

    let animalElems = document.querySelectorAll("#boxes img");
	console.log(animalElems);

	for (let i = 0; i < animalElems.length; i++) {
		animalElems[i].addEventListener("click", animalInfo);
	}

	msgElem = document.querySelector("#message");
} // Slut init
window.addEventListener("load", init);
// --------------------------------------------------
// Visa information om valt djur
function animalInfo() {
	let animalBoxElem = this.parentElement;
    console.log(animalBoxElem);
	animalBoxElem.classList.toggle("selected");

	let animal = this.alt;
	let animalEnglish = this.getAttribute("data-english");
	msgElem.innerHTML = "<p>Du klickade på " + animal + " (" + animalEnglish + ")</p>";

    let animalName = this.nextElementSibling.innerText;
    msgElem.innerHTML += "<p>Namnet är " + animalName + "</p>";

    //console.log(animalBoxElem.previousElementSibling);
	if (animalBoxElem.previousElementSibling) {
		let prevAnimalName = animalBoxElem.previousElementSibling.querySelector("figcaption").innerText;
		msgElem.innerHTML += "<p>Föregående djur är " + prevAnimalName + "</p>";
	}
	if (animalBoxElem.nextElementSibling) {
		let nextAnimalName = animalBoxElem.nextElementSibling.querySelector("figcaption").innerText;
		msgElem.innerHTML += "<p>Nästa djur är " + nextAnimalName + "</p>";
	}
} // Slut animalInfo
// --------------------------------------------------
