/* Exemplet visar urval av element med en viss klass med querySelectorAll().
   I exemplet visas också hur en knapp kan inaktiveras eller aktiveras
   med hjälp av egenskapen disabled. */
// --------------------------------------------------
// Globala variabler
let msgElem;			// Element för meddelande
let listSelectedBtn;	// Knapp för att lista valda djur
// --------------------------------------------------
// Initiering då webbsidan laddats in
function init() {
	let animalElems = document.querySelectorAll("#boxes img");
	for (let i = 0; i < animalElems.length; i++) {
		animalElems[i].addEventListener("click", animalInfo);
	}
	msgElem = document.querySelector("#message");
	listSelectedBtn = document.querySelector("#listSelectedBtn");
	listSelectedBtn.addEventListener("click", listSelected);
	listSelectedBtn.disabled = true;
} // Slut init
window.addEventListener("load", init);
// --------------------------------------------------
// Visa information om valt djur
function animalInfo() {
	let animalBoxElem = this.parentElement;
	animalBoxElem.classList.toggle("selected");
	let animal = this.alt;
	let animalEnglish = this.getAttribute("data-english");
	msgElem.innerHTML = "<p>Du klickade på " + animal + " (" + animalEnglish + ")</p>";
    let animalName = this.nextElementSibling.innerText;
    msgElem.innerHTML += "<p>Namnet är " + animalName + "</p>";
	siblingInfo(animalBoxElem.previousElementSibling, "Föregående");
	siblingInfo(animalBoxElem.nextElementSibling, "Nästa");
	let selectedAnimalElems = document.querySelectorAll(".selected");
	if (selectedAnimalElems.length > 0) {
		listSelectedBtn.disabled = false;
	}
	else {
		listSelectedBtn.disabled = true;
	}
} // Slut animalInfo
// --------------------------------------------------
// Visa info om syskon
function siblingInfo(elem, preText) {
	if (elem) {
		let animalName = elem.querySelector("figcaption").innerText;
		msgElem.innerHTML += "<p>" + preText + " djur är " + animalName + "</p>";
	}
} // Slut siblingInfo
// --------------------------------------------------
function listSelected() {
	let selectedAnimals = [];
	let selectedAnimalElems = document.querySelectorAll(".selected");
	for (let i = 0; i < selectedAnimalElems.length; i++) {
		let animal = selectedAnimalElems[i].querySelector("img").alt;
		selectedAnimals.push(animal);
	}
	msgElem.innerHTML = "Valda djur är " + selectedAnimals.join(", ");
} // Slut listSelected
// --------------------------------------------------
